ru.bitel.bgbilling.kernel.event

## Class PoolQueueEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.PoolQueueEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    InetAccountingManagePoolEvent, IpResourceSubscribeEvent, IpResourceUnsubscribeEvent

      public abstract class PoolQueueEvent
      extends QueueEvent

  Событие, которое может случаться много раз в течении короткого промежутка времени, например 100-500 раз в секунду и для которого не важно, если будет задержка в отправке/получении.
  Отличается от PoolEvent тем что такое событие будет лежать в очереди, пока не обработается. Такие события инкапсулируются в одно, которое и отправляется, поэтому для таких событий не работает дополнительный запрос, а moduleId задается в отправителе, а не в самом объекте. `

         PoolEventPublisher publisher = EventProcessor.getInstance().newPoolEventPublisher( PoolEvent.class, 3 );
         publisher.publish( new PoolEvent( publisher, 455, -1, 0 ) );
         publisher.publish( new PoolEvent( publisher, 456, -1, 0 ) );

  `
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PoolQueueEvent()`
    `` | `PoolQueueEvent(int moduleId, int contractId, int userId)`
    `` | `PoolQueueEvent(PoolEventPublisher<?> publisher, int contractId, int userId)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PoolQueueEvent

          protected PoolQueueEvent()

    - #### PoolQueueEvent

          public PoolQueueEvent(PoolEventPublisher<?> publisher,
                                int contractId,
                                int userId)

    - #### PoolQueueEvent

          public PoolQueueEvent(int moduleId,
                                int contractId,
                                int userId)